Still operating off Firefox 3.x? Any chance of updating the package to a more current firefox version?

0 Comments   [ + ] Show Comments


Please log in to comment



The Secure Browser is no longer supported and won't be seeing any updates. However, if you are a K1000 user, you'll find an ability to update Firefox in the Secure Browser settings/options if the K1000 agent is detected on the local system (you might leverage a trial of the K1000 if you were so inclined). 

Answered 09/09/2013 by: bkelly
Red Belt

Please log in to comment
Answer this question or Comment on this question for clarity